@echo off
@if not "%ECHO%"=="" echo %ECHO%
@if not "%OS%" =="Windows_NT" goto EOF
REM 
REM make sure we have everything to do the upgrade
set FailText=File E:\Nortel Networks\Enterprise Edge Upgrade\comps\voice platform\setup.exe does not exist.
if not exist "E:\Nortel Networks\Enterprise Edge Upgrade\comps\voice platform\setup.exe" goto UpgradeAbort
echo Installing voice platform
set silent= 
if exist "E:\Nortel Networks\Enterprise Edge Upgrade\comps\voice platform\setup.iss" set silent=-s
"E:\Nortel Networks\Enterprise Edge Upgrade\comps\voice platform\setup.exe" %silent% -f2C:\TEMP\platform.LOG
call :WaitNoinstall
set FailText=Failed to install Voice Platform
"%systemdrive%\Program Files\Nortel Networks\Voice Platform\isslookup.exe" C:\TEMP\Platform.log
if not %errorlevel% == 0 Call :UpgradeAbort
echo Voice Platform installed.
echo Calling the upgrade script.
sleep 3 >>NUL
%systemdrive%
cd "%systemdrive%\Program Files\Nortel Networks\Voice Platform\"
call :waitForScript
call "%systemdrive%\Program Files\Nortel Networks\Voice Platform\upgrade.bat" %~d0
sleep 3 >>NUL
Goto EOF
:MoreWaitNoUnInstall
sleep 1 >%TEMP%\%~n0.txt
:WaitNoUnInstall
"%systemdrive%\Program Files\Nortel Networks\Voice Platform\pulist.exe" | find /I "IsUninst.exe" >%TEMP%\%~n0.txt
if %errorlevel% == 0 goto MoreWaitNoUnInstall
goto EOF
:MoreWaitNoInstall
sleep 1 >%TEMP%\%~n0.txt
:WaitNoInstall
"%systemdrive%\Program Files\Nortel Networks\Voice Platform\pulist.exe" | find /I "_ISDel.exe" >%TEMP%\%~n0.txt
if %errorlevel% == 0 goto MoreWaitNoInstall
goto EOF

:MoreWaitForScript
sleep 3 >NUL
:waitForScript
if exist "%systemdrive%\Program Files\Nortel Networks\Voice Platform\upgrade.bat" goto EOF
goto MoreWaitForScript

:UpgradeAbort
echo ***Error: Silent install failed
echo %FailText%
echo Running interactively, saving iss output to platform.iss
"E:\Nortel Networks\Enterprise Edge Upgrade\comps\voice platform\setup.exe" -r -f1C:\TEMP\platform.iss
call :WaitNoinstall

Goto EOF
:EOF