:*******************************************************************
:  AutoRunEtq.cmd
:  Automatically runs the Upload for Etq once.
:  Enterprise Edge
:  Version 2.0.1.2 for EE 2.0 Platform Services
:  Date Sept 24, 99  
:  Revision 1.1 : Sept. 25, 99 KParry
:        Added choice abort.
:  Revision  1.2 : Nov. 19, 99 Kparry
:        Added a check to see that we are running from Upload Profile
:  Revision  1.3 : Feb. 28, 00 Kparry
:        removed a check to see that we are running from Upload Profile
:  Revision 1.4 : Mar 21, 2000 twood
:        expanded the "DEL" to *AutoRunEtq*
:  Revision 1.5 : Apr 02, 2000 twood
:        now checks type of running load and will upload CT2plus if
:	 it is already on the MSC
:  Revision 1.6 : Jun 10, 2000 KParry
:        Will read the profile.txt file to determine the hw regid
:        that the system will boot to when the upload is finished
:	 if the profile is 5 the system will exit immediately and 
:        not del AutoRunEtq or remove the autologon
:*******************************************************************

@echo off
@if not "%ECHO%"=="" echo %ECHO%
@if not "%OS%" =="Windows_NT" goto EOF

REM check to see which HW profile we are running
REM if we are in the upload profile, Run the menu.cmd
REM cscript "%systemdrive%\Program Files\Nortel Networks\Voice Platform\InUploadProfile.vbs" //NoLogo
REM if NOT %ERRORLEVEL% == 0 GOTO EOF
if exist "C:\Program Files\Nortel Networks\Voice Platform\profile.txt" for /f %%i in ('type "C:\Program Files\Nortel Networks\Voice Platform\profile.txt"') do set nextprofile=%%i
REM Exit the script if the profile.txt file has not been set
if {%nextprofile%} == {5} (Echo Next Hardware profile is set to %nextprofile%, NOT Uploading!) & (sleep 5) & (goto EOF)
REM choice /C:AU /N /t:U,10 Auto load Core SW starting in 10 seconds. Press A to abort. 
REM if "%ERRORLEVEL%"== "1" goto EOF
if exist "C:\program files\nortel networks\voice solution\data\ksuversion.typ" goto proceed
REM prior to stopping services, run preupload to determine the
REM ksu version type
REM start voicemscservice as it is required for preuninstall
net start voicemscservice >NUL
REM cscript "%systemdrive%\Program Files\Nortel Networks\Voice Platform\preupload.vbs" //NoLogo
if not exist "C:\program files\nortel networks\voice solution\data\ksuversion.typ" goto ETQUpload
:proceed
for /f %%i in ('type "C:\program files\nortel networks\voice solution\data\ksuversion.typ"') do set KSUType=%%i
if not "%KSUType%" == "CT2Plus" goto ETQUpload
:CT2Upload
echo Uploading CT2Plus...
REM if not "%logfile%"=="" echo Uploading CT2Plus... >>%logfile%
call "C:\program files\Nortel Networks\Voice Solution\ct2plus.bat" NoInt
cscript "%systemdrive%\Program Files\Nortel Networks\Voice Platform\InUploadProfile.vbs" //NoLogo
if %ERRORLEVEL% == 0 GOTO HWPRO
REM call "C:\program files\Nortel Networks\Voice Platform\mscon.bat"
REM call "C:\program files\Nortel Networks\Voice Platform\saveregprofile.bat"
goto HWPRO
:ETQUpload
echo Uploading Etiquette...
REM if not "%logfile%"=="" echo Uploading Etiquette... >>%logfile%
call "C:\program files\Nortel Networks\Voice Solution\etiquette.bat" NoInt
cscript "%systemdrive%\Program Files\Nortel Networks\Voice Platform\InUploadProfile.vbs" //NoLogo
if %ERRORLEVEL% == 0 GOTO HWPRO
REM call "C:\program files\Nortel Networks\Voice Platform\mscon.bat"
REM call "C:\program files\Nortel Networks\Voice Platform\saveregprofile.bat"
:HWPRO
if not exist "C:\Program Files\Nortel Networks\Voice Platform\profile.txt" goto EOF
for /f %%i in ('type "C:\Program Files\Nortel Networks\Voice Platform\profile.txt"') do set profile=%%i
"C:\program files\Nortel Networks\Voice Platform\RegProfileSwap.cmd" %profile%
:EOF