@if not "%ECHO%"=="" echo %ECHO%
@if not "%OS%" =="Windows_NT" goto EOF
REM run the installation silently - extracts all to C:\Temp
call :WaitNoinstall
call :timestamp
echo Running "%~d0%~p0Others\setup.exe"
echo %thisdate% %thistime% - Running "%~d0%~p0Others\setup.exe" >>%logfile%
"%~d0%~p0Others\setup.exe" -s -f2C:\TEMP\201.log
call :WaitNoinstall
call :timestamp
echo Completed "%~d0%~p0Others\setup.exe"
echo %thisdate% %thistime% - Completed "%~d0\%~p0\Others\setup.exe" >>%logfile%
"%systemdrive%\Program Files\Nortel Networks\Voice Platform\isslookup.exe" C:\TEMP\201.log
if %errorlevel% == 0 goto P1
call :timestamp
echo Running "%~d0%~p0\Others\setup.exe" interactively...
echo %thisdate% %thistime% - Running "%~d0%~p0Others\setup.exe" interactively... >>%logfile%
call :WaitNoinstall
"%~d0%~p0Others\setup.exe"
call :WaitNoinstall
call :timestamp
echo Completed "%~d0%~p0Others\setup.exe"
echo %thisdate% %thistime% - Completed "%~d0\%~p0\Others\setup.exe" >>%logfile%
:P1
call :timestamp
echo %thisdate% %thistime% - Patch files extracted... >>%logfile%
REM ****************** IP TELEPHONY KIT ***********************
call :timestamp
echo %thisdate% %thistime% - Replacing IP Telephony Evaluation Kit... >>%logfile%
if exist "E:\Nortel Networks\Enterprise Edge 2.0\Preview\IP Telephony Evaluation Kit.exe" del "E:\Nortel Networks\Enterprise Edge 2.0\Preview\IP Telephony Evaluation Kit.exe"
copy "%~d0\%~p0\Others\IP Telephony\IP Telephony Evaluation Kit.exe" "E:\Nortel Networks\Enterprise Edge 2.0\Preview\IP Telephony Evaluation Kit.exe"
REM ****************** QoS ***********************
REM copy %systemdrive%"\Winnt\System32\drivers\mspQoS.sys" %systemdrive%"\Winnt\System32\drivers\mspQoS.Rc6d.sys" 
REM copy %systemdrive%"\Temp\mspQoS.sys" %systemdrive%"\Winnt\System32\drivers\mspQoS.sys"
REM overwrite existing mspQoS.sys - replace it if locked
call :timestamp
echo %thisdate% %thistime% - Upgrading QoS driver mspQoS.sys ... >>%logfile%
if not exist %systemdrive%"\Winnt\System32\drivers\mspQoS.sys" (
   copy "%~d0\%~p0\Others\QoS\mspQoS.sys" %systemdrive%"\Winnt\System32\drivers\mspQoS.sys"
) else (
   swapex.exe "%~d0\%~p0\Others\QoS\mspQoS.sys" %systemdrive%"\Winnt\System32\drivers\mspQoS.sys"
)
if not %ERRORLEVEL% == 0 echo %ERRORLEVEL%
call :timestamp
echo %thisdate% %thistime% - Upgrading QoS driver interface ifqos.dll ... >>%logfile%
if not exist %systemdrive%"\Winnt\System32\ifqos.dll" (
   copy "%~d0\%~p0\Others\QoS\ifqos.dll" %systemdrive%"\Winnt\System32\drivers\ifqos.dll"
) else (
   swapex.exe "%~d0\%~p0\Others\QoS\ifqos.dll" %systemdrive%"\Winnt\System32\ifqos.dll"
)
if not %ERRORLEVEL% == 0 echo %ERRORLEVEL%

:UpdateISDN
REM ******************* ISDN *********************
REM overwrite existing ISDN - replace it if locked
call :timestamp
echo %thisdate% %thistime% - Upgrading ISDN driver... >>%logfile%
   if not exist %systemdrive%"\Winnt\System32\drivers\lldial.sys" (
      copy "%~d0\%~p0\Others\ISDN\lldial.sys" %systemdrive%"\Winnt\System32\drivers\lldial.sys"
   ) else (
      swapex.exe "%~d0\%~p0\Others\ISDN\lldial.sys" %systemdrive%"\Winnt\System32\drivers\lldial.sys"
   )
   if not exist %systemdrive%"\Winnt\System32\drivers\krnldll.sys" (
      copy "%~d0\%~p0\Others\ISDN\krnldll.sys" %systemdrive%"\Winnt\System32\drivers\krnldll.sys"
   ) else (
      swapex.exe "%~d0\%~p0\Others\ISDN\krnldll.sys" %systemdrive%"\Winnt\System32\drivers\krnldll.sys"
   )
REM ****************** ISDNMON *******************
REM Copy to shared files and run do_install.bat
call :timestamp
echo %thisdate% %thistime% - Installing ISDN monitor... >>%logfile%
   copy "%~d0\%~p0\Others\IsdnMon\Dbgv.sys" "%systemdrive%\Program Files\Nortel Networks\Shared Files\Dbgv.sys"
   copy "%~d0\%~p0\Others\IsdnMon\Dbgview.exe" "%systemdrive%\Program Files\Nortel Networks\Shared Files\Dbgview.exe"
REM   copy %systemdrive%"\Temp\Do_inst.bat" "%systemdrive%\Program Files\Nortel Networks\Shared Files\Do_inst.bat"
   copy "%~d0\%~p0\Others\IsdnMon\isdnmon.exe" "%systemdrive%\Program Files\Nortel Networks\Shared Files\isdnmon.exe"
   copy "%~d0\%~p0\Others\IsdnMon\Ldunld.ini" "%systemdrive%\Program Files\Nortel Networks\Shared Files\Ldunld.ini"
REM   copy %systemdrive%"\Temp\llagent.sys" "%systemdrive%\Program Files\Nortel Networks\Shared Files\llagent.sys"
REM   copy %systemdrive%"\Temp\Regini.exe" "%systemdrive%\Program Files\Nortel Networks\Shared Files\Regini.exe"
pushd .
cd "%~d0\%~p0\Others\IsdnMon"
   CALL "%~d0\%~p0\Others\IsdnMon\Do_inst.bat"
popd
REM ****************** VoIP ***********************
REM   copy "%~d0\%~p0\Others\VoIP\vngway.exe" %systemdrive%"\Program Files\Nortel Networks\Shared Files\vngway.exe"
REM   copy "%~d0\%~p0\Others\VoIP\vngway_debug.exe" %systemdrive%"\Program Files\Nortel Networks\Shared Files\vngway_debug.exe"
call :timestamp
echo %thisdate% %thistime% - Upgrading VoIP Gateway... >>%logfile%
   if not exist %systemdrive%"\Program Files\Nortel Networks\VoIP Gateway\vngway.exe" (
      copy "%~d0\%~p0\Others\VoIP\vngway.exe" %systemdrive%"\Program Files\Nortel Networks\VoIP Gateway\vngway.exe"
   ) else (
      swapex.exe "%~d0\%~p0\Others\VoIP\vngway.exe" %systemdrive%"\Program Files\Nortel Networks\VoIP Gateway\vngway.exe"
   )
   if not exist %systemdrive%"\Program Files\Nortel Networks\VoIP Gateway\vngway_debug.exe" (
      copy "%~d0\%~p0\Others\VoIP\vngway_debug.exe" %systemdrive%"\Program Files\Nortel Networks\VoIP Gateway\vngway_debug.exe"
   ) else (
      swapex.exe "%~d0\%~p0\Others\VoIP\vngway_debug.exe" %systemdrive%"\Program Files\Nortel Networks\VoIP Gateway\vngway_debug.exe"
   )
REM ****************** Unified Manager ************
   REM miserver /shutdown
   call :timestamp
   echo %thisdate% %thistime% - Upgrading Unified Manager... >>%logfile%   
   pushd .
      cd %systemdrive%"\Program Files\Nortel Networks\Unified Manager"
      call :timestamp
      echo %thisdate% %thistime% - Resetting the subsystem config file... >>%logfile%   
      resetSubsys.exe
   popd
   REM CALL "%systemdrive%\Program Files\Nortel Networks\Voice Platform\resetSubsys.cmd"
   if exist %systemdrive%"\Program Files\Nortel Networks\Unified Manager\java\msp.jar.bak" del %systemdrive%"\Program Files\Nortel Networks\Unified Manager\java\msp.jar.bak"
   REN %systemdrive%"\Program Files\Nortel Networks\Unified Manager\java\msp.jar" "msp.jar.bak"
   if exist %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\webmenu.cfg.bak" del %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\webmenu.cfg.bak"
   REN %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\webmenu.cfg" "webmenu.cfg.bak"
   pushd .
      cd %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config"
      call :timestamp
      echo %thisdate% %thistime% - Changing attributes on the webmenu.cfg file... >>%logfile%   
      attrib -r webmenu.cfg
   popd 
   call :timestamp
   echo %thisdate% %thistime% - Replacing webmenu.cfg file... >>%logfile%   
   if exist %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\subsys.cfg.bak" del %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\subsys.cfg.bak"
   REN %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\subsys.cfg" "subsys.cfg.bak"
   call :timestamp
   echo %thisdate% %thistime% - Replacing ssverinfo.cfg file... >>%logfile%   
   if exist %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\ssverinfo.cfg.bak" del %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\ssverinfo.cfg.bak"
   REN %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\ssverinfo.cfg" "ssverinfo.cfg.bak"
   call :timestamp
   echo %thisdate% %thistime% - Replacing subsys.cfg file... >>%logfile%   
   if exist %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\autorules.cfg.bak" del %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\autorules.cfg.bak"
   call :timestamp
   echo %thisdate% %thistime% - Replacing autorules.cfg file... >>%logfile%   
   REN %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\autorules.cfg" "autorules.cfg.bak"
   call :timestamp
   echo %thisdate% %thistime% - Replacing sdlwan.dll... >>%logfile%   
   if not exist %systemdrive%"\Program Files\Nortel Networks\Unified Manager\sdlwan.dll" (
      copy "%~d0\%~p0\Others\UnifiedMan\sdlwan.dll" "%systemdrive%\Program Files\Nortel Networks\Unified Manager\sdlwan.dll"
   ) else (
      swapex.exe "%~d0\%~p0\Others\UnifiedMan\sdlwan.dll" "%systemdrive%\Program Files\Nortel Networks\Unified Manager\sdlwan.dll"
   )
   call :timestamp
   echo %thisdate% %thistime% - Replacing cfgwrapper.dll... >>%logfile%
   if not exist %systemdrive%"\Program Files\Nortel Networks\Unified Manager\cfgwrapper.dll" (
      copy "%~d0\%~p0\Others\UnifiedMan\cfgwrapper.dll" "%systemdrive%\Program Files\Nortel Networks\Unified Manager\cfgwrapper.dll"
   ) else (
      swapex.exe "%~d0\%~p0\Others\UnifiedMan\cfgwrapper.dll" "%systemdrive%\Program Files\Nortel Networks\Unified Manager\cfgwrapper.dll"
   )
   copy "%~d0\%~p0\Others\UnifiedMan\msp.jar" %systemdrive%"\Program Files\Nortel Networks\Unified Manager\java\msp.jar"
   copy "%~d0\%~p0\Others\UnifiedMan\webmenu.cfg" %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\webmenu.cfg"
   copy "%~d0\%~p0\Others\UnifiedMan\ssverinfo.cfg" %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\ssverinfo.cfg"
   copy "%~d0\%~p0\Others\UnifiedMan\subsys.cfg" %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\subsys.cfg"
   copy "%~d0\%~p0\Others\UnifiedMan\autorules.cfg" %systemdrive%"\Program Files\Nortel Networks\Unified Manager\config\autorules.cfg"
   call :timestamp
   echo %thisdate% %thistime% - Unified Manager upgraded... >>%logfile%
REM Voice Platform
   pushd .
   cd "%~d0\%~p0voice platform"
   echo upgrading voice platform...
   call :timestamp
   echo %thisdate% %thistime% - upgrading voice platform... >>%logfile%
   call :WaitNoinstall
   setup.exe -s -f2C:\TEMP\VP201.log

   call :WaitNoInstall
   "%systemdrive%\Program Files\Nortel Networks\Voice Platform\isslookup.exe" C:\TEMP\VP201.log
   if %errorlevel% == 0 goto P2
   copy reboot.iss setup.iss
   DEL C:\TEMP\VP201.log
   call :WaitNoinstall
   setup.exe -s -f2C:\TEMP\VP201.log  
   call :WaitNoInstall
   "%systemdrive%\Program Files\Nortel Networks\Voice Platform\isslookup.exe" C:\TEMP\VP201.log
   if %errorlevel% == 0 goto P2
   call :WaitNoinstall
   setup.exe -r
   call :WaitNoInstall
   :P2 
   echo Voice platform upgraded...
   call :timestamp
   echo %thisdate% %thistime% - Voice platform upgraded... >>%logfile%
   popd
REM ****************** CORE AND MAPS **************
   pushd .
   call :timestamp
   echo %thisdate% %thistime% - Upgrading MSC core and maps... >>%logfile%
   echo Upgrading MSC core and maps...
   cd "%~d0\%~p0\Others\Core"
      if exist *.dat del *.dat
      call :timestamp
      echo %thisdate% %thistime% - Extracting core files from the archive... >>%logfile%
      echo Extracting core files from the archive...
      "%~d0\%~p0\Others\Core\msp_voice.exe"
      call :timestamp
      echo %thisdate% %thistime% - Replacing core files... >>%logfile%
      echo Replacing core files...     
      copy "%~d0\%~p0\Others\Core\msp_voic.dat" "%systemdrive%\Program Files\Nortel Networks\Voice Solution\data\msp_voice.dat"
      if exist msp_voic.dat del msp_voic.dat
   popd
   pushd
   cd "%~d0\%~p0\Others\Core"
      call :timestamp
      echo %thisdate% %thistime% - Extracting core files from the archive... >>%logfile%
      echo Extracting core files from the archive...
      "%~d0\%~p0\Others\Core\msp_voicep.exe"
      call :timestamp
      echo %thisdate% %thistime% - Replacing core files... >>%logfile%
      echo Replacing core files...  
      copy "%~d0\%~p0\Others\Core\msp_voic.dat" "%systemdrive%\Program Files\Nortel Networks\Voice Solution\data\msp_voicep.dat"
      if exist msp_voic.dat del msp_voic.dat
   popd
   REM if exist "%~d0\%~p0\Others\Core\msp_voic.dat" del "%~d0\%~p0\Others\Core\msp_voic.dat"
   call :timestamp
   echo %thisdate% %thistime% - Replacing map files... >>%logfile%  
   echo Replacing map files... 
   copy "%~d0\%~p0\Others\Core\*.map" "%systemdrive%\Program Files\Nortel Networks\Voice Solution\Maps\"
   copy "%~d0\%~p0\Others\Core\ct2plus.bat" "%systemdrive%\Program Files\Nortel Networks\Voice Solution\ct2plus.bat"
   copy "%~d0\%~p0\Others\Core\etiquette.bat" "%systemdrive%\Program Files\Nortel Networks\Voice Solution\etiquette.bat"
   echo Updating the MSC Core image...
   call :timestamp
   echo %thisdate% %thistime% - Updating the MSC Core image... >>%logfile%
   if exist "%~d0\%~p0\Voice Platform\upgmsc.bat" copy "%~d0\%~p0\Voice Platform\upgmsc.bat" "%systemdrive%\Program Files\Nortel Networks\Voice Platform\upgmsc.bat"
   
   CALL %systemdrive%"\Program Files\Nortel Networks\Voice Platform\upgmsc.bat"
   set logfile="c:\program files\nortel networks\voice platform\logs\201.log"
   echo MSC Core image updated.
   call :timestamp
   echo %thisdate% %thistime% - MSC Core image updated. >>%logfile%   
REM update the registry info
   call :timestamp
   echo %thisdate% %thistime% - Applying version info to the registry... >>%logfile%
   echo Applying version info to the registry... 
   regedit /s "%systemdrive%\Program Files\Nortel Networks\Voice Platform\version.reg"
REM copy new BRU.xml
   call :timestamp
   echo %thisdate% %thistime% - Replacing BRU.xml... >>%logfile%
   echo Replacing BRU.xml...
   copy "%~d0\%~p0\Others\EE BR.xml" "%systemdrive%\Program Files\Nortel Networks\Voice Platform\EE BR.xml"
   call :timestamp
   echo %thisdate% %thistime% - 201 patch has been applied. >>%logfile%
   echo 201 patch has been applied.
   set RC=0  
goto EOF
:MoreWaitNoInstall
Echo Running setup.exe ...
sleep 1 >%TEMP%\%~n0.txt
:WaitNoInstall
"%systemdrive%\Program Files\Nortel Networks\Voice Platform\pulist.exe" | find /I "_ISDel.exe" >%TEMP%\%~n0.txt
if %errorlevel% == 0 goto MoreWaitNoInstall
goto EOF
:TIMESTAMP
for /f "tokens=2" %%i in ('date /t') do set thisdate=%%i
for /f %%i in ('time /t') do set thistime=%%i
goto EOF
:EOF